GET/payments/requests

List

Recovers all created payment requests

Parameters

Query Parameters

NameType
pageSize
number (double)
page
number (double)
from
string (date)
to
string (date)
customer
string
pixKey
string
status
string

Responses

200Retrieve a list of all payment requests
object
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]

List of payment requests

itemsobject

Response with information related to a payment request

Example response

json
{
  "page": 0,
  "total": 0,
  "totalPages": 0,
  "results": [
    {
      "id": "c2a6b7d9-3349-435d-8341-44021449ebbc",
      "amount": 150.5,
      "fees": 0.45,
      "description": "Order #4821",
      "status": "CREATED",
      "clientPaymentId": "order-4821",
      "createdAt": "2025-03-12T13:03:45.689Z",
      "updatedAt": "2025-03-12T13:03:45.689Z",
      "callbackUrls": {
        "success": "https://merchant.example.com/orders/4821/success",
        "error": "https://merchant.example.com/orders/4821/error"
      },
      "paymentUrl": "https://pay.pluggy.ai/c2a6b7d9-3349-435d-8341-44021449ebbc",
      "recipient": {
        "type": "BANK_ACCOUNT",
        "id": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
        "name": "Conta empresa",
        "taxNumber": "12345678900",
        "isDefault": true,
        "paymentInstitution": {
          "id": "00000000-0000-0000-0000-000000000000",
          "name": "Banco J. Safra S.A.",
          "ispb": "03017677",
          "tradeName": "Banco Safra",
          "compe": "074",
          "createdAt": "2020-04-21T15:00:00.000Z",
          "updatedAt": "2020-04-21T15:00:00.000Z"
        },
        "account": {
          "branch": "0001",
          "number": "123456",
          "type": "CHECKING_ACCOUNT"
        },
        "pixKey": null,
        "createdAt": "2024-01-15T10:30:00.000Z",
        "updatedAt": "2024-01-15T10:30:00.000Z"
      },
      "customer": null,
      "smartAccount": null,
      "pixQrCode": null,
      "boleto": null,
      "automaticPix": null,
      "schedule": null,
      "errorDetail": null,
      "isSandbox": false
    }
  ]
}

Code Examples

bash
curl -X GET 'https://api.pluggy.ai/payments/requests' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY'

Try It

Query Parameters